MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027281Community[OCCT] OCCT:Foundation Classespublic2016-03-17 16:172016-04-20 15:50
ReporterBenjaminBihler 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0027281: Some classes in GCPnts are not const-correct
DescriptionEven though classes like GCPnts_UniformAbscissa do not modify the curves and adaptors they work on, they receive non-const references to them. This makes these classes hard to use in an otherwise const-correct context.

It is possible to add the "const" keyword to the parameters and then everything should be fine.
Steps To ReproduceNot needed
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0051746)
git (administrator)
2016-03-17 16:21

Branch CR27281 has been created by BenjaminBihler.

SHA-1: 416cb5a7a1f0797e6f4beae64b48693518c6b479


Detailed log of new commits:

Author: Benjamin Bihler
Date: Thu Mar 17 14:19:37 2016 +0100

    0027281: Some classes in GCPnts are not const-correct
    
    const keyword has been added to the method parameters
(0051750)
abv (manager)
2016-03-17 16:43

No remarks, please test
(0051771)
mkv (tester)
2016-03-18 11:57

Dear BugMaster,
Branch CR27281 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 416cb5a7a1f0797e6f4beae64b48693518c6b479

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 68 (68 on master)
Windows: 0 (0 on master)
MacOS : 1120

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 90491871 / 89759598 [+0.82%]
Total CPU difference: 19557.760000000042 / 19292.26999999997 [+1.38%]
products component :
Total MEMORY difference: 25863972 / 25927435 [-0.24%]
Total CPU difference: 5278.319999999983 / 5291.799999999986 [-0.25%]

Testing on Windows:
occt component :
Total MEMORY difference: 57460113 / 57499715 [-0.07%]
Total CPU difference: 18326.48267669882 / 18319.07262919877 [+0.04%]
products component :
Total MEMORY difference: 17546217 / 17510015 [+0.21%]
Total CPU difference: 5140.248550099953 / 5110.015556299955 [+0.59%]

There are no differences in images found by testdiff.
(0051772)
mkv (tester)
2016-03-18 11:58

Dear BugMaster,
Branch CR27281 is TESTED.
(0052922)
git (administrator)
2016-04-17 13:40

Branch CR27281 has been deleted by kgv.

SHA-1: 416cb5a7a1f0797e6f4beae64b48693518c6b479

- Related Changesets
occt: master 37782ec2
Timestamp: 2016-03-17 13:19:37
Author: BenjaminBihler
Committer: bugmaster
Details ] Diff ]
0027281: Some classes in GCPnts are not const-correct

const keyword has been added to the method parameters
mod - src/GCPnts/GCPnts_AbscissaPoint.gxx Diff ] File ]
mod - src/GCPnts/GCPnts_AbscissaPoint.hxx Diff ] File ]
mod - src/GCPnts/GCPnts_QuasiUniformAbscissa.gxx Diff ] File ]
mod - src/GCPnts/GCPnts_QuasiUniformAbscissa.hxx Diff ] File ]
mod - src/GCPnts/GCPnts_QuasiUniformDeflection.gxx Diff ] File ]
mod - src/GCPnts/GCPnts_QuasiUniformDeflection.hxx Diff ] File ]
mod - src/GCPnts/GCPnts_UniformAbscissa.gxx Diff ] File ]
mod - src/GCPnts/GCPnts_UniformAbscissa.hxx Diff ] File ]
mod - src/GCPnts/GCPnts_UniformDeflection.gxx Diff ] File ]
mod - src/GCPnts/GCPnts_UniformDeflection.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-03-17 16:17 BenjaminBihler New Issue
2016-03-17 16:17 BenjaminBihler Assigned To => BenjaminBihler
2016-03-17 16:21 git Note Added: 0051746
2016-03-17 16:22 BenjaminBihler Assigned To BenjaminBihler => abv
2016-03-17 16:22 BenjaminBihler Status new => resolved
2016-03-17 16:43 abv Note Added: 0051750
2016-03-17 16:43 abv Assigned To abv => bugmaster
2016-03-17 16:43 abv Status resolved => reviewed
2016-03-17 16:50 apv Assigned To bugmaster => apv
2016-03-17 16:51 mkv Assigned To apv => mkv
2016-03-18 11:57 mkv Note Added: 0051771
2016-03-18 11:58 mkv Note Added: 0051772
2016-03-18 11:58 mkv Assigned To mkv => bugmaster
2016-03-18 11:58 mkv Status reviewed => tested
2016-03-21 14:58 bugmaster Changeset attached => occt master 37782ec2
2016-03-21 14:58 bugmaster Status tested => verified
2016-03-21 14:58 bugmaster Resolution open => fixed
2016-04-17 13:40 git Note Added: 0052922
2016-04-20 15:43 user533 Fixed in Version => 7.0.0
2016-04-20 15:50 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker